/**
 * XEntityClassDocumentReceiving2.java
 *
 * File generated from the medication2::XEntityClassDocumentReceiving2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XEntityClassDocumentReceiving2.
 *
 * 
 */

@XmlType(name = "XEntityClassDocumentReceiving")
@XmlEnum
@XmlRootElement(name = "XEntityClassDocumentReceiving2")
public enum XEntityClassDocumentReceiving2 {
	@XmlEnumValue("HCE")
	HCE("HCE"),
	@XmlEnumValue("PSN")
	PSN("PSN"),
	@XmlEnumValue("ORG")
	ORG("ORG"),
	@XmlEnumValue("PUB")
	PUB("PUB"),
	@XmlEnumValue("STATE")
	STATE("STATE"),
	@XmlEnumValue("NAT")
	NAT("NAT");
	
	private final String value;

    XEntityClassDocumentReceiving2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XEntityClassDocumentReceiving2 fromValue(String v) {
        for (XEntityClassDocumentReceiving2 c: XEntityClassDocumentReceiving2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
